Skip to main content
GET
/
orgs
/
{org_id}
/
emergencies
/
categories
List emergency categories
curl --request GET \
  --url https://api.punchrescue.com/api/public/v1/orgs/{org_id}/emergencies/categories \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "categoryId": "<string>",
      "name": "<string>",
      "color": "<string>",
      "responseLevel": "<string>",
      "severity": 123,
      "isSystem": true,
      "createdAt": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required

Target organization id (from the route path)

Response

Successful Response

items
PublicCategoryResponse · object[]
required
nextCursor
string | null